%define	major     3
%define	libname   %mklibname mikmod %{major}
%define develname %mklibname mikmod -d

Summary:	Sound library supporting multiple module formats and digital sound files
Name:		libmikmod
Version:	3.3.13
Release:	%mkrel 1
License:	LGPL-2.0-or-later
Group:		System/Libraries
URL:		https://mikmod.sourceforge.net/
Source0:	https://sourceforge.net/projects/mikmod/files/libmikmod/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-libmikmod-cmake-Install-documentation-and-autoconf-m.patch
BuildRequires:	cmake
BuildRequires:	texinfo
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(sndio)

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.

%package -n	%{libname}
Summary:	Sound library supporting multiple module formats and digital sound files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.

Install the limikmod-devel package if you want to develop applications that
will use the limikmod library.

%prep
%autosetup -p2

%build
%cmake -DENABLE_SNDIO:BOOL=ON \
       -DENABLE_STATIC:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc %{_docdir}/libmikmod/
%license COPYING.LESSER COPYING.LIB
%{_libdir}/libmikmod.so.%{major}{,.*}

%files -n %{develname}
%doc README TODO
%{_bindir}/libmikmod-config
%{_libdir}/pkgconfig/libmikmod.pc
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_includedir}/*
%{_mandir}/man1/*
%{_infodir}/*


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 3.3.13-1.mga10
+ Revision: 2258076
- new version: 3.3.13

* Tue Jul 01 2025 umeabot <umeabot> 3.3.12-2.mga10
+ Revision: 2233483
- Mageia 10 Mass Rebuild

* Thu Jan 02 2025 daviddavid <daviddavid> 3.3.12-1.mga10
+ Revision: 2134834
- new version: 3.3.12
- switch to cmake build system

* Sat Mar 19 2022 umeabot <umeabot> 3.3.11.1-5.mga9
+ Revision: 1799493
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sun Mar 22 2020 wally <wally> 3.3.11.1-4.mga8
+ Revision: 1558978
- clean descriptions a bit
- drop old obsoletes
- drop static build and .la files
- drop multiarch support

* Thu Feb 13 2020 umeabot <umeabot> 3.3.11.1-3.mga8
+ Revision: 1514235
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.3.11.1-2.mga7
+ Revision: 1298992
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 3.3.11.1-1.mga7
+ Revision: 1219476
- Update to version 3.3.11.1

* Sat Jun 17 2017 luigiwalser <luigiwalser> 3.3.11-1.mga6
+ Revision: 1107839
- 3.3.11

* Sat Sep 10 2016 luigiwalser <luigiwalser> 3.3.10-1.mga6
+ Revision: 1051188
- 3.3.10
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 26 2015 shlomif <shlomif> 3.3.8-1.mga6
+ Revision: 906201
- New version 3.3.8

* Wed Oct 15 2014 umeabot <umeabot> 3.3.7-4.mga5
+ Revision: 749412
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.3.7-3.mga5
+ Revision: 726750
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.3.7-2.mga5
+ Revision: 681602
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 luigiwalser <luigiwalser> 3.3.7-1.mga5
+ Revision: 673303
- 3.3.7

* Sat Mar 22 2014 luigiwalser <luigiwalser> 3.3.6-1.mga5
+ Revision: 606506
- 3.3.6

* Wed Feb 12 2014 sander85 <sander85> 3.3.5-1.mga5
+ Revision: 589773
- update to

* Sat Dec 14 2013 luigiwalser <luigiwalser> 3.3.4-1.mga4
+ Revision: 556814
- 3.3.4
- remove upstreamed patch

* Mon Oct 21 2013 umeabot <umeabot> 3.3.2-2.mga4
+ Revision: 539727
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 luigiwalser <luigiwalser> 3.3.2-1.mga4
+ Revision: 492833
- 3.3.2

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-4.mga3
+ Revision: 357756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 3.2.0-3.mga3
+ Revision: 339244
- patch2: fix build with automake 1.13

* Fri Nov 30 2012 ovitters <ovitters> 3.2.0-2.mga3
+ Revision: 323405
- clean spec
- fix rpm group

* Fri Jun 01 2012 shlomif <shlomif> 3.2.0-1.mga3
+ Revision: 252908
- New version 3.2.0 - (non-beta)

* Mon May 09 2011 misc <misc> 3.2.0-0.beta2.9.mga1
+ Revision: 96695
- drop uneeded BuildRequires ( texinfo, esd )
- drop patch on esd, as we no longer provides it

* Sun May 01 2011 misc <misc> 3.2.0-0.beta2.8.mga1
+ Revision: 94038
- rebuild again to have higher Release than mandriva

* Sat Apr 30 2011 misc <misc> 3.2.0-0.beta2.7.mga1
+ Revision: 93993
- add security patch from Mandriva stable, taken from Debian
- increase release to let upgrade from Mandriva

* Sat Jan 15 2011 supp <supp> 3.2.0-0.beta2.1.mga1
+ Revision: 19049
- imported package libmikmod


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-0.beta2.8mdv2011.0
+ Revision: 602576
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-0.beta2.7mdv2010.1
+ Revision: 520884
- rebuilt for 2010.1

* Mon Oct 12 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-0.beta2.6mdv2010.0
+ Revision: 456903
- provide a non-empty debug package

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 3.2.0-0.beta2.5mdv2010.0
+ Revision: 449893
- fix build of applications using libmikmod, it is using floor() but
  was never linking against libm, leading to undefined symbol
  (from Arnaud Patard)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.2.0-0.beta2.4mdv2010.0
+ Revision: 425620
- rebuild

* Thu Mar 19 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.0-0.beta2.3mdv2009.1
+ Revision: 358193
- Add two patches fixing security issues CVE-2007-6720, CVE-2009-0179

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 3.2.0-0.beta2.2mdv2009.0
+ Revision: 276554
- Patch9: fix aclocal warning

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 3.2.0-0.beta2.1mdv2009.0
+ Revision: 271719
- last version
- new major
- update license
- update patches 2,5
- drop patch 6

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.1.11a-11mdv2009.0
+ Revision: 222928
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.11a-10mdv2008.1
+ Revision: 178965
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-8mdv2008.0
+ Revision: 76949
- fix provides and obsoletes again

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.11a-7mdv2008.0
+ Revision: 76843
- new devel naming
- reconstruct the autofoo toolchain


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-6mdv2007.0
+ Revision: 115662
- fix esd driver

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-5mdv2007.1
+ Revision: 107322
- Import libmikmod

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-5mdv2007.1
- fix sprintf bug (28086), patch by Shlomi Fish)
- unpack patches

* Fri Jun 09 2006 Götz Waschk <waschk@mandriva.org> 3.1.11a-4mdv2007.0
- fix buildrequires

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 3.1.11a-3mdv2007.0
- fix build

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11a-2mdv2007.0
- oops, reenable P0

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11a-1mdv2007.0
- 3.1.11a (P6)
- drop P4 (obsoleted by P6)

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-7mdv2007.0
- fix alsa support (P5)

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-6mdk
- fix underquoted calls (P4)

* Tue Nov 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-5mdk
- fix path to rawwriter (P3, fixes #19721 & #19722)

* Wed Oct 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-4mdk
- rebuild
- %%mkrel

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 3.1.11-3mdk
- multiarch
- redo info file install
- enable esd support, which is dynamically loaded when needed

* Wed Nov 03 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.11-2mdk
- merge 64-bit fixes from 9.2-amd64 branch!

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.11-1mdk
- 3.1.11
- buildrequires
- don't do rm -rf $RPM_BUILD_ROOT in %%prep
- update url
- update description
- spec cosmetics
- do parallell build

